GET /settings/templates/\{id\}
GET/settings/templates/:id
GET /settings/templates/{id}
Request
Path Parameters
id int64required
Responses
- 200
OK
- text/plain
- application/json
- text/json
- Schema
- Example (from schema)
Schema
Array [
]
id int64
code stringnullable
name stringnullable
html_template stringnullable
url stringnullable
file stringnullable
design stringnullable
pdf_options
object
page_size stringnullable
no_pdf_compression booleannullable
dpi int32nullable
margin_top int32nullable
margin_bottom int32nullable
margin_left int32nullable
margin_right int32nullable
orientation stringnullable
disable_smart_shrinking booleannullable
config
object
brand_color_primary stringnullable
brand_color_secondary stringnullable
brand_color_alternative stringnullable
l10n
object[]
nullable
id int64
culture stringnullable
resource stringnullable
value stringnullable
languages string[]nullable
{
"id": 0,
"code": "string",
"name": "string",
"html_template": "string",
"url": "string",
"file": "string",
"design": "string",
"pdf_options": {
"page_size": "string",
"no_pdf_compression": true,
"dpi": 0,
"margin_top": 0,
"margin_bottom": 0,
"margin_left": 0,
"margin_right": 0,
"orientation": "string",
"disable_smart_shrinking": true
},
"config": {
"brand_color_primary": "string",
"brand_color_secondary": "string",
"brand_color_alternative": "string"
},
"l10n": [
{
"id": 0,
"culture": "string",
"resource": "string",
"value": "string"
}
],
"languages": [
"string"
]
}
- Schema
- Example (from schema)
Schema
Array [
]
id int64
code stringnullable
name stringnullable
html_template stringnullable
url stringnullable
file stringnullable
design stringnullable
pdf_options
object
page_size stringnullable
no_pdf_compression booleannullable
dpi int32nullable
margin_top int32nullable
margin_bottom int32nullable
margin_left int32nullable
margin_right int32nullable
orientation stringnullable
disable_smart_shrinking booleannullable
config
object
brand_color_primary stringnullable
brand_color_secondary stringnullable
brand_color_alternative stringnullable
l10n
object[]
nullable
id int64
culture stringnullable
resource stringnullable
value stringnullable
languages string[]nullable
{
"id": 0,
"code": "string",
"name": "string",
"html_template": "string",
"url": "string",
"file": "string",
"design": "string",
"pdf_options": {
"page_size": "string",
"no_pdf_compression": true,
"dpi": 0,
"margin_top": 0,
"margin_bottom": 0,
"margin_left": 0,
"margin_right": 0,
"orientation": "string",
"disable_smart_shrinking": true
},
"config": {
"brand_color_primary": "string",
"brand_color_secondary": "string",
"brand_color_alternative": "string"
},
"l10n": [
{
"id": 0,
"culture": "string",
"resource": "string",
"value": "string"
}
],
"languages": [
"string"
]
}
- Schema
- Example (from schema)
Schema
Array [
]
id int64
code stringnullable
name stringnullable
html_template stringnullable
url stringnullable
file stringnullable
design stringnullable
pdf_options
object
page_size stringnullable
no_pdf_compression booleannullable
dpi int32nullable
margin_top int32nullable
margin_bottom int32nullable
margin_left int32nullable
margin_right int32nullable
orientation stringnullable
disable_smart_shrinking booleannullable
config
object
brand_color_primary stringnullable
brand_color_secondary stringnullable
brand_color_alternative stringnullable
l10n
object[]
nullable
id int64
culture stringnullable
resource stringnullable
value stringnullable
languages string[]nullable
{
"id": 0,
"code": "string",
"name": "string",
"html_template": "string",
"url": "string",
"file": "string",
"design": "string",
"pdf_options": {
"page_size": "string",
"no_pdf_compression": true,
"dpi": 0,
"margin_top": 0,
"margin_bottom": 0,
"margin_left": 0,
"margin_right": 0,
"orientation": "string",
"disable_smart_shrinking": true
},
"config": {
"brand_color_primary": "string",
"brand_color_secondary": "string",
"brand_color_alternative": "string"
},
"l10n": [
{
"id": 0,
"culture": "string",
"resource": "string",
"value": "string"
}
],
"languages": [
"string"
]
}
Loading...